<?php




namespace app\common\model\wechat;


use app\common\model\BaseModel;

/**
 * Class WechatReply
 * @package app\common\model\wechat
 * @author zfy
 * @day 2020-04-24
 */
class WechatReply extends BaseModel
{

    /**
     * @return string
     * @author zfy
     * @day 2020-03-30
     */
    public static function tablePk(): string
    {
        return 'wechat_reply_id';
    }

    /**
     * @return string
     * @author zfy
     * @day 2020-03-30
     */
    public static function tableName(): string
    {
        return 'wechat_reply';
    }

    /**
     * @param $val
     * @return mixed
     * @author zfy
     * @day 2020-04-24
     */
    public function getDataAttr($val)
    {
        return json_decode($val, true);
    }

    /**
     * @param $val
     * @return false|string
     * @author zfy
     * @day 2020-04-24
     */
    public function setDataAttr($val)
    {
        return json_encode($val);
    }
}